Summary:        High-performance, full-featured text search engine
Name:           lucene
Version:        9.2.0
Release:        %mkrel 2
Epoch:          0
Group:          Development/Java
# License breakdown is present in NOTICE.txt file
License:        ASL 2.0 and MIT and BSD
URL:            https://lucene.apache.org/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://dlcdn.apache.org/lucene/java/%{version}/lucene-%{version}-src.tgz
Source1:        aggregator.pom
Source2:        aggregator-analysis.pom

Source3:        https://repo1.maven.org/maven2/org/apache/lucene/lucene-analysis-common/%{version}/lucene-analysis-common-%{version}.pom
Source4:        https://repo1.maven.org/maven2/org/apache/lucene/lucene-analysis-icu/%{version}/lucene-analysis-icu-%{version}.pom
Source5:        https://repo1.maven.org/maven2/org/apache/lucene/lucene-analysis-kuromoji/%{version}/lucene-analysis-kuromoji-%{version}.pom
Source6:        https://repo1.maven.org/maven2/org/apache/lucene/lucene-analysis-morfologik/%{version}/lucene-analysis-morfologik-%{version}.pom
Source7:        https://repo1.maven.org/maven2/org/apache/lucene/lucene-analysis-nori/%{version}/lucene-analysis-nori-%{version}.pom
Source8:        https://repo1.maven.org/maven2/org/apache/lucene/lucene-analysis-opennlp/%{version}/lucene-analysis-opennlp-%{version}.pom
Source9:        https://repo1.maven.org/maven2/org/apache/lucene/lucene-analysis-phonetic/%{version}/lucene-analysis-phonetic-%{version}.pom
Source10:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-analysis-smartcn/%{version}/lucene-analysis-smartcn-%{version}.pom
Source11:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-analysis-stempel/%{version}/lucene-analysis-stempel-%{version}.pom

Source12:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-backward-codecs/%{version}/lucene-backward-codecs-%{version}.pom
Source13:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-benchmark/%{version}/lucene-benchmark-%{version}.pom
Source14:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-classification/%{version}/lucene-classification-%{version}.pom
Source15:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-codecs/%{version}/lucene-codecs-%{version}.pom
Source16:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-core/%{version}/lucene-core-%{version}.pom
Source17:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-demo/%{version}/lucene-demo-%{version}.pom
Source18:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-expressions/%{version}/lucene-expressions-%{version}.pom
Source19:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-facet/%{version}/lucene-facet-%{version}.pom
Source20:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-grouping/%{version}/lucene-grouping-%{version}.pom
Source21:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-highlighter/%{version}/lucene-highlighter-%{version}.pom
Source22:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-join/%{version}/lucene-join-%{version}.pom
Source23:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-luke/%{version}/lucene-luke-%{version}.pom
Source24:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-memory/%{version}/lucene-memory-%{version}.pom
Source25:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-misc/%{version}/lucene-misc-%{version}.pom
Source26:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-monitor/%{version}/lucene-monitor-%{version}.pom
Source27:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-queries/%{version}/lucene-queries-%{version}.pom
Source28:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-queryparser/%{version}/lucene-queryparser-%{version}.pom
Source29:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-replicator/%{version}/lucene-replicator-%{version}.pom
Source30:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-sandbox/%{version}/lucene-sandbox-%{version}.pom
Source31:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-spatial3d/%{version}/lucene-spatial3d-%{version}.pom
Source32:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-suggest/%{version}/lucene-suggest-%{version}.pom
Source33:       https://repo1.maven.org/maven2/org/apache/lucene/lucene-test-framework/%{version}/lucene-test-framework-%{version}.pom

BuildRequires:  maven-local
BuildRequires:  mvn(com.ibm.icu:icu4j)
BuildRequires:  mvn(commons-codec:commons-codec)
BuildRequires:  mvn(org.antlr:antlr4-runtime)
BuildRequires:  mvn(org.ow2.asm:asm)
BuildRequires:  mvn(org.ow2.asm:asm-commons)

BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.maven.plugins:maven-surefire-plugin)

%description
Apache Lucene is a high-performance, full-featured text search
engine library written entirely in Java. It is a technology suitable
for nearly any application that requires full-text search, especially
cross-platform.

%package javadoc
Summary:        Javadoc for Lucene

%description javadoc
%{summary}.

%package analysis-common
Summary:        Lucene module: analysis-common
Obsoletes:      %{name}-analysis < 9

%description analysis-common
%{summary}.

%package analysis-icu
Summary:        Lucene module: analysis-icu
Obsoletes:      %{name}-analyzers-icu < 9

%description analysis-icu
%{summary}.

%package analysis-kuromoji
Summary:        Lucene module: analysis-kuromoji
Obsoletes:      %{name}-analyzers-kuromoji < 9

%description analysis-kuromoji
%{summary}.

%package analysis-nori
Summary:        Lucene module: analysis-nori
Obsoletes:      %{name}-analyzers-nori < 9

%description analysis-nori
%{summary}.

%package analysis-phonetic
Summary:        Lucene module: analysis-phonetic
Obsoletes:      %{name}-analyzers-phonetic < 9

%description analysis-phonetic
%{summary}.

%package analysis-smartcn
Summary:        Lucene module: analysis-smartcn
Obsoletes:      %{name}-analyzers-smartcn < 9

%description analysis-smartcn
%{summary}.

%package analysis-stempel
Summary:        Lucene module: analysis-stempel
Obsoletes:      %{name}-analyzers-stempel < 9

%description analysis-stempel
%{summary}.

%package backward-codecs
Summary:        Lucene module: backward-codecs

%description backward-codecs
%{summary}.

%package classification
Summary:        Lucene module: classification

%description classification
%{summary}.

%package codecs
Summary:        Lucene module: codecs

%description codecs
%{summary}.

%package core
Summary:        Lucene module: core
Obsoletes:      %{name} < 9
Obsoletes:      %{name}-parent < 9
Obsoletes:      %{name}-solr-grandparent < 9

%description core
%{summary}.

%package expressions
Summary:        Lucene module: expressions

%description expressions
%{summary}.

%package grouping
Summary:        Lucene module: grouping

%description grouping
%{summary}.

%package highlighter
Summary:        Lucene module: highlighter

%description highlighter
%{summary}.

%package join
Summary:        Lucene module: join

%description join
%{summary}.

%package memory
Summary:        Lucene module: memory

%description memory
%{summary}.

%package misc
Summary:        Lucene module: misc

%description misc
%{summary}.

%package monitor
Summary:        Lucene module: monitor

%description monitor
%{summary}.

%package queries
Summary:        Lucene module: queries

%description queries
%{summary}.

%package queryparser
Summary:        Lucene module: queryparser

%description queryparser
%{summary}.

%package sandbox
Summary:        Lucene module: sandbox

%description sandbox
%{summary}.

%package spatial3d
Summary:        Lucene module: spatial3d

%description spatial3d
%{summary}.

%package suggest
Summary:        Lucene module: suggest

%description suggest
%{summary}.

%prep
%setup -q

find -mindepth 1 -maxdepth 1 ! -name lucene ! -name LICENSE.txt ! -name NOTICE.txt ! -name README.md -exec rm -rf {} +
mv -t . lucene/*
rmdir lucene

# Javadoc generation would fail otherwise
find -name 'module-info.java' -delete
find -wholename '*/src/test' -exec rm -rf {} +

cp %SOURCE1 pom.xml

function add_pom {
  source=${1}
  prefix=${2}
  module=${source}
  module=${module##*/${prefix}}
  module=${module%%%%-%{version}.pom}
  cp ${source} ${module}/pom.xml
}

for source in $(echo %{sources} | tr ' ' '\n' | grep -v 'lucene-analysis-.*\.pom' | grep 'lucene-.*\.pom'); do
  add_pom ${source} "lucene-"
  %pom_add_parent org.fedoraproject.xmvn.lucene:aggregator:any ${module}
  %pom_xpath_set -f "pom:dependency[pom:scope='runtime']/pom:scope" "compile" ${module}
done

pushd analysis
cp %SOURCE2 pom.xml
%pom_add_parent org.fedoraproject.xmvn.lucene:aggregator:any

for source in $(echo %{sources} | tr ' ' '\n' | grep 'lucene-analysis-.*\.pom'); do
  add_pom ${source} "lucene-analysis-"
  %pom_add_parent org.fedoraproject.xmvn.lucene:aggregator-analysis:any ${module}
done
popd

%pom_disable_module benchmark
%pom_disable_module demo
%pom_disable_module facet
%pom_disable_module luke
%pom_disable_module replicator
%pom_disable_module test-framework

%pom_disable_module morfologik analysis
%pom_disable_module opennlp analysis

%mvn_package :aggregator __noinstall
%mvn_package :aggregator-analysis __noinstall

%build
# Tests have unpackaged dependencies
%mvn_build -s -f

%install
%mvn_install

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt NOTICE.txt

%files analysis-common -f .mfiles-lucene-analysis-common
%files analysis-icu -f .mfiles-lucene-analysis-icu
%files analysis-kuromoji -f .mfiles-lucene-analysis-kuromoji
%files analysis-nori -f .mfiles-lucene-analysis-nori
%files analysis-phonetic -f .mfiles-lucene-analysis-phonetic
%files analysis-smartcn -f .mfiles-lucene-analysis-smartcn
%files analysis-stempel -f .mfiles-lucene-analysis-stempel
%files backward-codecs -f .mfiles-lucene-backward-codecs
%files classification -f .mfiles-lucene-classification
%files codecs -f .mfiles-lucene-codecs

# core is a common dependency of all other modules
%files core -f .mfiles-lucene-core
%license LICENSE.txt NOTICE.txt
%doc README.md

%files expressions -f .mfiles-lucene-expressions
%files grouping -f .mfiles-lucene-grouping
%files highlighter -f .mfiles-lucene-highlighter
%files join -f .mfiles-lucene-join
%files memory -f .mfiles-lucene-memory
%files misc -f .mfiles-lucene-misc
%files monitor -f .mfiles-lucene-monitor
%files queries -f .mfiles-lucene-queries
%files queryparser -f .mfiles-lucene-queryparser
%files sandbox -f .mfiles-lucene-sandbox
%files spatial3d -f .mfiles-lucene-spatial3d
%files suggest -f .mfiles-lucene-suggest




%changelog
* Fri Mar 31 2023 daviddavid <daviddavid> 0:9.2.0-2.mga9
+ Revision: 1950976
- obsoletes properly remaining removed sub-pkgs

* Fri Dec 09 2022 daviddavid <daviddavid> 0:9.2.0-1.mga9
+ Revision: 1920010
- Update to upstream version 9.2.0
- Do not ship parent poms
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sat Nov 14 2020 tv <tv> 0:8.6.3-1.mga8
+ Revision: 1645903
- 8.6.3

* Sat Nov 14 2020 tv <tv> 0:8.4.1-2.mga8
+ Revision: 1645902
+ rebuild (emptylog)

* Mon Sep 07 2020 daviddavid <daviddavid> 0:8.4.1-1.mga8
+ Revision: 1623126
- Update to latest upstream release 8.4.1
- Add optional resolution on internal JDK APIs that might not be present on Java
  11
- Avoid requirement on com.sun.management package
- Fix NIO linkage error when running on Java 8 due to incorrect
  cross-compilation
- Disable test-framework as its dependency (randomizedtesting) is removed
- Fix deps for minimal mode

* Tue Aug 11 2020 neoclust <neoclust> 0:8.1.1-3.mga8
+ Revision: 1613319
- New version 8.1.1

* Sat Feb 15 2020 umeabot <umeabot> 0:7.7.0-2.mga8
+ Revision: 1527611
- Mageia 8 Mass Rebuild

* Thu Jul 18 2019 daviddavid <daviddavid> 0:7.7.0-1.mga8
+ Revision: 1422380
- Update to latest upstream release 7.7.0
- Drop deprecated uima analyzers sub-package
- Added nori Korean analyzers sub-package

* Mon Dec 03 2018 daviddavid <daviddavid> 0:7.1.0-1.mga7
+ Revision: 1337982
- new version: 7.1.0 (sync with fc29)
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Sat Nov 04 2017 daviddavid <daviddavid> 0:6.1.0-2.mga7
+ Revision: 1175762
- add patch to fix CVE-2017-12629 (mga#21976)

* Wed Oct 11 2017 daviddavid <daviddavid> 0:6.1.0-1.mga7
+ Revision: 1170865
- Update to lucene 6 (sync with fc27)
- Add "spatial-extras" subpackage, this decouples dependencies on spatial4j
- Add jp_minimal conditional
- Add better OSGi metadata for dealing with core/misc split packages
- Drop F24-specific hack

* Mon Jul 18 2016 daviddavid <daviddavid> 0:5.5.0-4.mga6
+ Revision: 1042444
- analyzers-common should have versioned requires on package from core

* Fri Jul 08 2016 daviddavid <daviddavid> 0:5.5.0-3.mga6
+ Revision: 1039808
- Misc module should require core module, the split package
  causes problems for OSGi consumers
- Add missing BR on ant, fixes FTBFS

* Sat May 14 2016 shlomif <shlomif> 0:5.5.0-2.mga6
+ Revision: 1015289
- Rebuild for the new UCI (new major)

* Wed Mar 02 2016 neoclust <neoclust> 0:5.5.0-1.mga6
+ Revision: 983250
- New version 5.5.0
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 0:5.4.1-3.mga6
+ Revision: 977241
- First rebuild of the java stack
- sync package lucene with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Dec 26 2014 pterjan <pterjan> 0:4.10.2-1.mga5
+ Revision: 806066
- Add missing BuildRequires
- Sync with Fedora 21 (Update to 4.0.2)

* Wed Oct 15 2014 umeabot <umeabot> 0:3.6.2-6.mga5
+ Revision: 739425
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0:3.6.2-5.mga5
+ Revision: 682040
- Mageia 5 Mass Rebuild

* Sun Jun 15 2014 dmorgan <dmorgan> 0:3.6.2-4.mga5
+ Revision: 636500
- Remove unneeded BR jline. Resolves RHBZ#1023015.

* Tue Dec 31 2013 dmorgan <dmorgan> 0:3.6.2-3.mga4
+ Revision: 563443
- Rebuild against new javapackages
- Update to upstream 3.6.2 release.
- Upload new tarball for dev-tools as checksum could not be
  reproduced with given commands listed in comment.
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 dmorgan <dmorgan> 0:3.6.0-9.mga4
+ Revision: 451310
- Always install grand-parent pom as well.

* Mon Jul 08 2013 dmorgan <dmorgan> 0:3.6.0-8.mga4
+ Revision: 451307
- Always install lucene-parent pom.

* Mon Jul 08 2013 dmorgan <dmorgan> 0:3.6.0-3.mga4
+ Revision: 451183
- Fix OSGi medatada. In particular:
- Missing import javax.management (lucene-core)
- Missing import javax.xml.parsers and org.xml.sax.helpers
 (lucene-analysis)
- BundleVersion updated to 3.6.0 (lucene-core & lucene-analysis)

* Sat Jan 12 2013 umeabot <umeabot> 0:3.6.0-2.mga3
+ Revision: 359076
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 0:3.6.0-1.mga3
+ Revision: 292710
- New version

* Thu Jul 05 2012 dmorgan <dmorgan> 0:2.9.4-8.mga3
+ Revision: 268334
- Rebuild to generate osgi() provides

* Fri Dec 23 2011 dmorgan <dmorgan> 0:2.9.4-2.mga2
+ Revision: 186291
- Fix duplicate Manifes-version warnings. ( From Fedora)

* Tue Jul 19 2011 dmorgan <dmorgan> 0:2.9.4-1.mga2
+ Revision: 126678
- New version 2.9.4

* Sun Jan 23 2011 dmorgan <dmorgan> 0:2.4.1-0.0.1.mga1
+ Revision: 34494
- New version 2.4.1
  Add fedora patches
- imported package lucene


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0:2.4.0-0.0.3mdv2011.0
+ Revision: 606427
- rebuild

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 0:2.4.0-0.0.2mdv2010.1
+ Revision: 523214
- rebuilt for 2010.1

* Sun Oct 04 2009 Oden Eriksson <oeriksson@mandriva.com> 0:2.4.0-0.0.1mdv2010.0
+ Revision: 453398
- rediffed one fuzzy patch

* Mon Oct 20 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:2.4.0-0.0.1mdv2009.1
+ Revision: 295816
- new version 2.4.0

* Thu Jul 31 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:2.3.2-0.0.1mdv2009.0
+ Revision: 257242
- fix group
- BR regexp
- BR jline
- BR jakarta-commons-digester
- BR jtidy
- BR junit
- new version 2.3.2

* Tue Mar 04 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.9.1-3.1.5mdv2008.1
+ Revision: 179024
- add zip BR

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.9.1-3.1.3mdv2008.0
+ Revision: 87385
- remove unnecessary Requires(post) on java-gcj-compat
- rebuild to filter out autorequires of GCJ AOT objects

* Fri Aug 24 2007 David Walluck <walluck@mandriva.org> 0:1.9.1-3.1.2mdv2008.0
+ Revision: 70774
- fix build
- fix OSGi manifests

* Fri Jul 27 2007 David Walluck <walluck@mandriva.org> 0:1.9.1-3.1.1mdv2008.0
+ Revision: 56230
- sync with FC8


* Fri Mar 16 2007 Christiaan Welvaart <spturtle@mandriva.org> 1.9.1-3mdv2007.1
+ Revision: 144742
- rebuild for 2007.1

  + David Walluck <walluck@mandriva.org>
    - Import lucene

* Thu May 25 2006 David Walluck <walluck@mandriva.org> 0:1.9.1-2mdv2007.0
- rebuild for libgcj.so.7

* Tue Mar 28 2006 David Walluck <walluck@mandriva.org> 0:1.9.1-1mdk
- 1.9.1

* Thu Mar 02 2006 David Walluck <walluck@mandriva.org> 0:1.9-1mdk
- 1.9

* Wed Jan 18 2006 David Walluck <walluck@mandriva.org> 0:1.4.3-2.5mdk
- fix path to aot-compile-rpm
- BuildRequires: java-devel

* Tue Oct 25 2005 David Walluck <walluck@mandriva.org> 0:1.4.3-2.4mdk
- remove lib/junit-3.8.1.jar binary jar form source zip

* Tue Oct 25 2005 David Walluck <walluck@mandriva.org> 0:1.4.3-2.3mdk
- fix unversioned demos symlink

* Tue Oct 25 2005 David Walluck <walluck@mandriva.org> 0:1.4.3-2.2mdk
- add %%{name}{,-%%{version}}-src.zip (for eclipse)
- add unversioned demos symlink (fix, for eclipse)

* Sat May 28 2005 David Walluck <walluck@mandriva.org> 0:1.4.3-2.1mdk
- release

* Wed Apr 27 2005 Ville Skyttä <scop at jpackage.org> - 0:1.4.3-2jpp
- Add unversioned javadoc dir symlink.
- Crosslink with local JDK javadocs.
- Convert specfile to UTF-8.
- Fix URLs.

* Mon Jan 10 2005 Kaj J. Niemi <kajtzu@fi.basen.net> 0:1.4.3
- 1.4.3

* Tue Aug 24 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.3-3jpp
- Rebuild with Ant 1.6.2

* Wed Jun 02 2004 Randy Watler <rwatler at finali.com> - 0:1.3-2jpp
- Upgrade to Ant 1.6.X

